Complete upload

Call this endpoint only after all part(s) of the media file have been successfully. You will use information from each part upload call to complete the upload.

Transcription will begin as soon as the upload is complete using this endpoint

POST /api/v1/spaces/{spaceId}/recordings/{recordingId}/uploads/{uploadId}/complete
API key in header x-api-key

Path parameters

· 3
spaceId string required

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId string required

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

uploadId string required

ID of the upload. You will receive this when you start an upload using the start upload endpoint

Body

application/json

Parts metadata

parts array of object required

Information of each uploaded part

Responses